> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch update issues

> Apply one update to many issues.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json post /issues/batch
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /issues/batch:
    post:
      tags:
        - Issues
      summary: Batch update issues
      description: Apply one update to many issues.
      operationId: batch_update_issues
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                project_id:
                  type: string
                idempotency_key:
                  type: string
                  minLength: 1
                  maxLength: 200
                issues:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                    required:
                      - id
                    additionalProperties: false
                  minItems: 1
                  maxItems: 50
                update:
                  anyOf:
                    - type: object
                      properties:
                        assignee_user_id:
                          type:
                            - string
                            - 'null'
                          minLength: 1
                        pinned:
                          type: boolean
                        add_tag_ids:
                          type: array
                          items:
                            type: string
                          maxItems: 100
                        remove_tag_ids:
                          type: array
                          items:
                            type: string
                          maxItems: 100
                        fix_references:
                          type: array
                          items:
                            type: object
                            properties:
                              url:
                                type: string
                                format: uri
                                maxLength: 4096
                              kind:
                                type: string
                                minLength: 1
                                maxLength: 100
                              note:
                                type: string
                                maxLength: 10000
                            required:
                              - url
                            additionalProperties: false
                          minItems: 1
                          maxItems: 50
                      additionalProperties: false
                    - oneOf:
                        - type: object
                          properties:
                            action:
                              type: string
                              const: start_review
                            claim_unassigned:
                              type: boolean
                              default: true
                          required:
                            - action
                          additionalProperties: false
                        - type: object
                          properties:
                            action:
                              type: string
                              const: resolve
                            resolution_evidence:
                              oneOf:
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: caller_attestation
                                    explanation:
                                      type: string
                                      minLength: 1
                                      maxLength: 2000
                                  required:
                                    - kind
                                    - explanation
                                  additionalProperties: false
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: deployment_reference
                                    explanation:
                                      type: string
                                      minLength: 1
                                      maxLength: 2000
                                    url:
                                      type: string
                                      format: uri
                                      maxLength: 4096
                                  required:
                                    - kind
                                    - explanation
                                    - url
                                  additionalProperties: false
                            create_monitor:
                              type: boolean
                              default: false
                          required:
                            - action
                            - resolution_evidence
                          additionalProperties: false
                        - type: object
                          properties:
                            action:
                              type: string
                              const: dismiss
                            dismissal_reason:
                              type: string
                              enum:
                                - False positive
                                - Working as intended
                                - Test or synthetic traffic
                                - Acceptable edge case
                                - Known limitation
                                - Out of scope
                            dismissal_detail:
                              type: string
                              minLength: 1
                              maxLength: 2000
                            source_monitor_id:
                              type: string
                          required:
                            - action
                            - dismissal_reason
                            - dismissal_detail
                          additionalProperties: false
                        - type: object
                          properties:
                            action:
                              type: string
                              const: reopen
                            reason:
                              type: string
                              minLength: 1
                              maxLength: 2000
                            source_monitor_id:
                              type: string
                          required:
                            - action
                          additionalProperties: false
              required:
                - project_id
                - idempotency_key
                - issues
                - update
              additionalProperties: false
      responses:
        '200':
          description: Per-issue batch outcomes
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            issue_id:
                              type: string
                            ok:
                              type: boolean
                              const: true
                            issue:
                              type: object
                              properties:
                                id:
                                  type: string
                                status:
                                  type: string
                                  enum:
                                    - open
                                    - in_progress
                                    - resolved
                                    - dismissed
                                pinned:
                                  type: boolean
                                assignee_user_id:
                                  type:
                                    - string
                                    - 'null'
                                updated_at:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                name:
                                  type: string
                                agent_name:
                                  type:
                                    - string
                                    - 'null'
                                tags:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      name:
                                        type: string
                                      color:
                                        type: string
                                    required:
                                      - id
                                      - name
                                      - color
                                    additionalProperties: false
                                dismissal_reason:
                                  type:
                                    - string
                                    - 'null'
                                dismissal_detail:
                                  type:
                                    - string
                                    - 'null'
                                fix_references:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      url:
                                        type: string
                                      kind:
                                        type:
                                          - string
                                          - 'null'
                                      note:
                                        type:
                                          - string
                                          - 'null'
                                    required:
                                      - id
                                      - url
                                      - kind
                                      - note
                                    additionalProperties: false
                              required:
                                - id
                                - status
                                - pinned
                                - assignee_user_id
                                - updated_at
                                - name
                                - agent_name
                                - tags
                                - dismissal_reason
                                - dismissal_detail
                                - fix_references
                              additionalProperties: false
                            transition_id:
                              type:
                                - string
                                - 'null'
                          required:
                            - issue_id
                            - ok
                            - issue
                            - transition_id
                          additionalProperties: false
                        - type: object
                          properties:
                            issue_id:
                              type: string
                            ok:
                              type: boolean
                              const: false
                            error:
                              type: object
                              properties:
                                detail:
                                  type: string
                                code:
                                  type: string
                              required:
                                - detail
                                - code
                              additionalProperties: false
                          required:
                            - issue_id
                            - ok
                            - error
                          additionalProperties: false
                required:
                  - results
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.